textures/mrcq3dm5/vortex
	{
	
		qer_editorimage textures/mrcq3dm5/vortex.tga
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm noimpact
		surfaceparm nolightmap
		cull disable

		deformVertexes wave 100 sin 0 1 .5 .5

		{
			map textures/mrcq3dm5/vortex.tga
			blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
			//alphaFunc GT0
			//depthWrite
			tcMod scale 4 4	
			tcMod turb .5 .2 .2 .4
			tcMod scroll -4. .75
			rgbGen identity
		}

		{
			map textures/mrcq3dm5/vortex.tga
			blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
			//alphaFunc GT0
			//depthWrite
			tcMod scale 4 4	
			tcMod turb .2 .1 .1 .2
			tcMod scroll -5. 1
			rgbGen identity
		}
		
	}
textures/mrcq3dm5/mrcq3dm5sky1
{
	qer_editorimage textures/mrcq3dm5/mrcq3dm5sky1.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256 
	q3map_sun	.87 .76 .53 60 60 85
	q3map_surfacelight 110

	skyparms - 512 -
	
	{
		map textures/mrcq3dm5/mrcq3dm5sky1.tga
		tcMod scale 1.75 1.75
		tcMod scroll -0.008 -0.006
		depthWrite
	}
	{
		map textures/mrcq3dm5/mrcq3dm5sky2.tga
		blendfunc GL_ONE GL_ONE
		//tcMod scale 2 2
		tcMod scroll -0.016 -0.018
	}
}
textures/mrcq3dm5/ncfanblade
{
      qer_editorimage textures/sfx/fan3bladeb.tga
      cull disable
      surfaceparm trans	
      surfaceparm nolightmap
      surfaceparm nonsolid
      sort 5
        {
	        clampmap textures/sfx/fan3bladeb.tga
                blendFunc blend
                tcmod rotate 999
	        rgbGen identity
	}
        
}
textures/mrcq3dm5/ncfan
{
       qer_editorimage textures/sfx/fan3.tga
       cull disable
       surfaceparm alphashadow
       surfaceparm nonsolid	
       sort 6
        {
	        map textures/sfx/fan3.tga
		blendFunc blend
	        rgbGen identity
	}
        
        {
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
textures/mrcq3dm5/mrcq3dm5water
{

	
	qer_editorimage textures/mrcq3dm5/sewage.tga
	q3map_globaltexture
	qer_trans .75
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nolightmap
	q3map_surfacelight 20

	cull disable
	tesssize 64
	deformVertexes wave 64 sin .5 .5 0 .5
		
	{
		map textures/mrcq3dm5/sewage.tga
		//blendfunc filter
		tcmod scale .5 .5
		rgbgen identity
		tcmod scroll -.005 .002
	}

	{ 
		map textures/liquids/pool3d_5c2.tga
		blendFunc GL_dst_color GL_zero
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.015 .001
	}
	
	{ 
		map textures/liquids/pool3d_6c2.tga
		blendFunc GL_dst_color GL_zero
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll -.01 .001
	}

	
		

}

textures/mrcq3dm5/mrcq3dm5_murk
{
	qer_editorimage textures/sfx/fog_grey.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap

	fogparms ( .322 .344 .248 ) 896
}
textures/mrcq3dm5/mrcq3dm5_skylight
{
	qer_editorimage textures/base_floor/skylight_spec.tga
	q3map_lightimage textures/mrcq3dm5/skylight_blend.tga
	q3map_surfacelight 500
	
        {
		map $lightmap
		rgbGen identity
	}
        {
		map textures/base_floor/skylight_spec.tga
		blendfunc gl_dst_color gl_zero
                rgbGen identity
	}	
        {
		map textures/mrcq3dm5/skylight_blend.tga
		blendfunc GL_ONE GL_ONE
	}
        
    	
}
textures/mrcq3dm5/lavaliner
{	
	qer_editorimage textures/mrcleantex_1/worn-torn.tga
	surfaceparm noimpact
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mrcleantex_1/worn-torn.tga
		rgbgen identity
	}
}
textures/mrcq3dm5/baselight_250
{
	qer_editorimage textures/base_light/light2.tga
	q3map_lightimage textures/base_light/light2.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 250
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/light2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{	
		map textures/base_light/light2.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}
textures/mrcq3dm5/baselight_1K
{
	qer_editorimage textures/base_light/light2.tga
	q3map_lightimage textures/base_light/light2.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/light2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{	
		map textures/base_light/light2.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}
